<!--
 * @Description: In User Settings Edit
 * @Author: your name
 * @Date: 2019-08-26 10:58:22
 * @LastEditTime: 2019-08-27 15:14:14
 * @LastEditors: Please set LastEditors
 -->
<template>
  <div>
    <div v-if="isDisplay">
      <div v-if="obj.a">
        <yd-accordion>
          <yd-accordion-item class="Match-game" title="波胆" open>
            <div class="box title-box row item-center" >
              <span>{{home_team}}</span>
            </div>
            <div v-for="(item ,index) in data" :key="'a'+index" class="box" style="background: #F4F4F4;"> 
              <div v-if="item.odds_code.startsWith('b2')">
                <div class="row allAlignment center row-box">
                  <span>{{item.condition}}</span>
                  <div v-if="item.odds >0" class="The-club-box row center"
                    :class="{active:item.isTrue,increased_color:item.change == 'add',reduce_color:item.change == 'red'}"
                    @click="bettingBtn(home_team,item,'波胆')"
                  >
                    <span>{{item.odds}}</span>
                  </div>
                  <div v-else  class="ratio column center">
                    <img style="width: 0.7rem;height: 0.5rem;" src="@/assets/st-imges/mima.png"><img>
                  </div>
                </div>
              </div>
            </div>
            <div class="box title-box row item-center" >
              <span>{{guest_team}}</span>
            </div>
            <div v-for="(item ,index) in data" :key="'b'+index" class="box" style="background: #F4F4F4;">
                <div v-if="item.odds_code.startsWith('b')">
                  <div class="row allAlignment center row-box">
                    <span>{{item.condition}}</span>
                    <div v-if="item.odds >0" class="The-club-box row center"
                      :class="{active:item.isTrue,increased_color:item.change == 'add',reduce_color:item.change == 'red'}"
                      @click="bettingBtn(guest_team,item,'波胆')"
                    >
                      <span>{{item.odds}}</span>
                    </div>
                    <div v-else  class="ratio column center">
                      <img style="width: 0.7rem;height: 0.5rem;" src="@/assets/st-imges/mima.png"><img>
                    </div>
                  </div>
                </div>
            </div>
          </yd-accordion-item>
        </yd-accordion>
      </div>

      <div v-if="obj.b">
        <yd-accordion>
          <yd-accordion-item class="Match-game" title="波胆-上半场" open>
            <div class="box title-box row item-center" >
              <span>{{home_team}}</span>
            </div>
            <div v-for="(item ,index) in data" :key="'a'+index" class="box" style="background: #F4F4F4;"> 
              <div v-if="item.odds_code.startsWith('b2')">
                <div class="row allAlignment center row-box">
                  <span>{{item.condition}}</span>
                  <div v-if="item.odds >0" class="The-club-box row center"
                    :class="{active:item.isTrue,increased_color:item.change == 'add',reduce_color:item.change == 'red'}"
                    @click="bettingBtn(home_team,item,'波胆-上半场')"
                  >
                    <span>{{item.odds}}</span>
                  </div>
                  <div v-else  class="ratio column center">
                    <img style="width: 0.7rem;height: 0.5rem;" src="@/assets/st-imges/mima.png"><img>
                  </div>
                </div>
              </div>
            </div>
            <div class="box title-box row item-center" >
              <span>{{guest_team}}</span>
            </div>
            <div v-for="(item ,index) in data" :key="'b'+index" class="box" style="background: #F4F4F4;">
                <div v-if="item.odds_code.startsWith('b')">
                  <div class="row allAlignment center row-box">
                    <span>{{item.condition}}</span>
                    <div v-if="item.odds >0" class="The-club-box row center"
                      :class="{active:item.isTrue,increased_color:item.change == 'add',reduce_color:item.change == 'red'}"
                      @click="bettingBtn(guest_team,item,'波胆-上半场')"
                    >
                      <span>{{item.odds}}</span>
                    </div>
                    <div v-else  class="ratio column center">
                      <img style="width: 0.7rem;height: 0.5rem;" src="@/assets/st-imges/mima.png"><img>
                    </div>
                  </div>
                </div>
            </div>
          </yd-accordion-item>
        </yd-accordion>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  // 独赢
  data() {
    return {
      title: "B",
      home_team: " ",
      match_id:'',
      guest_team: " ",
      obj:'',//
      data: [],
      lg_id:'',
      isDisplay: "", //是否显示
      betting: [], //已投注倍率id集合
      dataNum: 10000, //对应的数据的下标
      match_score:[],//比分
      match_process:'',//比赛进程
    };
  },
  methods: {
    //玩法投注
    bettingBtn(name,item,play_name) {
      let _this = this;
      let bettingInfo = item;
      bettingInfo.lg_id = this.lg_id;
      bettingInfo.match_id = this.match_id;
      bettingInfo.name = name;
      bettingInfo.home_team = this.home_team;
      bettingInfo.guest_team = this.guest_team;
      bettingInfo.ballId = this.$store.getters.getBallId,
      bettingInfo.oddsType = this.$store.getters.getActivity;
      bettingInfo.play_name = play_name;
      if( this.$store.getters.getActivity =='StRollBall'){
        bettingInfo.home_score = this.match_score[0];
        bettingInfo.guest_score = this.match_score[1];
        bettingInfo.roll_time = this.match_process;
      }
      //调用玩法投注公共方法
      this.$public.bettingFunction(
        this.betting,
        bettingInfo,
        this.data,
        this.$store.getters.getBetting,
        this.title,
        this.dataNum,
         this.$store.getters.getLimit,
        function(res, type) {
          _this.$set(res, "isTrue", type);
        },
        function(data, val,type) {
           if(type) {
            _this.$dialog.alert({mes: '你的注单已达到上限啦!'});
          }
          _this.$store.dispatch("BETTING", []);
          _this.$store.dispatch("BETTING", data ? data : val);
           if(_this.$store.getters.getIsBetting == '100') return false
          _this.$store.dispatch("ISBETTING",'100')
        }
      );
    },
    //获取玩法id
    getBettingId(data) {
      if (data) {
        data.forEach((res, index) => {
          if (res.title == this.title) {
            this.betting = res.data;
            this.dataNum = index;
          }
        });
      }
    },
    /*-------------------------------*/
    //获取子玩法分类
    getChildPlay(data){
      let obj ={};
      this.data = [];
      data.forEach(e=>{
        if(e.odds >0){
          if(e.odds_code.startsWith('b')){
            obj.a = true;
          }else if(e.odds_code.startsWith('half')){
            obj.b = true;
          }
          this.data.push(e);
        }
      })
      this.obj = obj 
    },
  },
  computed: {
    getUserIcons() {
      return this.$store.getters.getGameRatio;
    },
    getBetting() {
      return this.$store.getters.getBetting;
    },
    // 获取投注删除状态
    deleteType() {
      return this.$store.getters.getDeleteType;
    }
  },
  watch: {
    getUserIcons(val) {
      this.match_id=val.match_id
      if (!val) return false;
      this.home_team = val.home_team;
      this.guest_team = val.guest_team;
      this.lg_id = val.lg_id;
      //获取滚球进程和比分数据
      if(this.$store.getters.getActivity == 'StRollBall'){
        let ball = this.$store.getters.getBallId;
        if(ball == 'zq'){
          this.match_process = `${val.match_process}-${val.match_ptime}`
        }else if(ball == 'lq'){
          this.match_process = `${val.match_process}-${val.match_ptime}`;
        }else if(ball == 'wq' && val.match_process){
          this.match_process = val.match_process.substr(val.match_process.length-1,1)
        }else if(ball == 'bq' && val.match_process){
          this.match_process = val.match_process.substr(val.match_process.length-1,1)
        }
        this.match_score = val.match_score.split('-');
      }
      val.oddsData.forEach(res => {
        if (res[0].p_code == this.title) {
          this.isDisplay = true;
          this.getChildPlay(res);
        }
      });
      this.getBettingId(this.$store.getters.getBetting);
      if (this.dataNum != 10000) {
        this.betting.forEach(res => {
          this.data.forEach((e, index) => {
            if (res.mark == e.mark) {
              this.$set(e, "isTrue", true);
            }
          });
        });
      }
    },
    //获取已投注信息
    getBetting(val) {
      let _this = this;
      this.$public.getBettingId(val, this.title, function(data, index) {
        _this.betting = data;
        _this.dataNum = index;
      });
    },
     //监听投注框删除处理
  deleteType(val) {
    this.data.forEach(e => {
      if (val == "all") {
        this.$set(e, "isTrue", false);
      } else {
        if (e.mark == val) {
          this.$set(e, "isTrue", false);
        }
      }
    });
  },
  },
  mounted() {
    
  }
};
</script>

<style scoped>
div /deep/ .yd-accordion-head-arrow:after {
  border: none;
  width: 0.5rem;
  height: 0.5rem;
  background: url(../assets/st-imges/xiangxia.png) no-repeat;
  background-size: 100% 100%;
}
div /deep/ .yd-accordion-head,
div /deep/ .yd-accordion-head-content,
div /deep/ .yd-accordion-title {
  font-size: 0.28rem;
  color: #fefefe;
  background: #a0a0a0;
}
div /deep/ .yd-accordion-head {
  padding: 0 0.32rem;
}
.box {
  padding: 0 0.32rem;
}
.title-box{
  background:#e4e4e4;
  min-height: 0.7rem;
  font-size: 0.24rem;
}
.row-box {
  height: 0.9rem;
  font-size: 0.26rem;
  border-bottom: 1px solid #e4e4e4;
}
.The-club-box {
  width: 1.07rem;
  height: 0.76rem;
  font-size: 0.24rem;
  padding: 0.1rem;
  border: 1px solid #cecece;
  border-radius: 0.1rem;
  margin: 0.06rem;
}
.active {
  background: #f76649;
  color: #f4f4f4;
  padding: 0.1rem;
  border: 1px solid #f76649;
}
.active i {
  color: #f4f4f4 !important;
}
.ratio {
  width: 1.07rem;
  height: 0.76rem;
  border: 1px solid #cecece;
  margin-right: 0.14rem;
  border-radius: 0.1rem;
  margin: 0.06rem;
}
</style>
